This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 10:43
Elapsed6m52s
Revision
Builder690e62cc-733c-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/93bac7c7-4143-4afc-bac6-462d8718e1b3/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/93bac7c7-4143-4afc-bac6-462d8718e1b3/targets/test
infra-commitbf7dc9346

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 10:43:52.893] process 29 exited with code 0 after 0.0m
I0331 10:43:52.893] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 10:43:52.894] Root: /workspace
I0331 10:43:52.894] cd to /workspace
I0331 10:43:52.894] Configure environment...
I0331 10:43:52.894] Call:  git show -s --format=format:%ct HEAD
W0331 10:43:52.899] fatal: not a git repository (or any of the parent directories): .git
I0331 10:43:52.901] process 42 exited with code 128 after 0.0m
W0331 10:43:52.901] Unable to print commit date for HEAD
I0331 10:43:52.901] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 10:43:53.466] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 10:43:54.394] process 43 exited with code 0 after 0.0m
I0331 10:43:54.394] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 10:50:33.609]     self.send(msg)
W0331 10:50:33.609]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 10:50:33.609]     self.connect()
W0331 10:50:33.609]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 10:50:33.609]     conn = self._new_conn()
W0331 10:50:33.610]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 10:50:33.610]     self, "Failed to establish a new connection: %s" % e
W0331 10:50:33.610] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f5eac414da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 10:50:33.610] 
W0331 10:50:33.610] During handling of the above exception, another exception occurred:
W0331 10:50:33.610] 
W0331 10:50:33.610] Traceback (most recent call last):
W0331 10:50:33.611]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 10:50:33.611]     timeout=timeout
W0331 10:50:33.611]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 10:50:33.611]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 10:50:33.611]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 10:50:33.611]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 10:50:33.612] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f5eac414da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 10:50:33.612] 
W0331 10:50:33.612] During handling of the above exception, another exception occurred:
W0331 10:50:33.612] 
W0331 10:50:33.612] Traceback (most recent call last):
W0331 10:50:33.612]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 10:50:33.613]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 10:50:33.615]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 10:50:33.615]     resp = self.send(prep, **send_kwargs)
W0331 10:50:33.615]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 10:50:33.615]     r = adapter.send(request, **kwargs)
W0331 10:50:33.615]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 10:50:33.615]     raise ConnectionError(e, request=request)
W0331 10:50:33.616] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f5eac414da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 10:50:33.616] Traceback (most recent call last):
W0331 10:50:33.616]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 10:50:33.616]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 10:50:33.616]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 10:50:33.617]     check(*cmd)
W0331 10:50:33.617]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 10:50:33.617]     subprocess.check_call(cmd)
W0331 10:50:33.617]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 10:50:33.617]     raise CalledProcessError(retcode, cmd)
W0331 10:50:33.617] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 10:50:33.617] Command failed
I0331 10:50:33.618] process 251 exited with code 1 after 6.6m
E0331 10:50:33.618] FAIL: metrics-kettle
I0331 10:50:33.618] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 10:50:34.161] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 10:50:34.789] process 255 exited with code 0 after 0.0m
I0331 10:50:34.790] Call:  gcloud config get-value account
I0331 10:50:35.718] process 267 exited with code 0 after 0.0m
I0331 10:50:35.718] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 10:50:35.718] Upload result and artifacts...
I0331 10:50:35.718] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244938372447735808
W0331 10:50:35.719] Missing local artifacts : /workspace/_artifacts
W0331 10:50:35.719] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 10:50:35.719] metadata not found or invalid, init with empty metadata
I0331 10:50:35.719] Call:  git rev-parse HEAD
W0331 10:50:35.726] fatal: not a git repository (or any of the parent directories): .git
E0331 10:50:35.727] Command failed
I0331 10:50:35.727] process 280 exited with code 128 after 0.0m
I0331 10:50:35.727] Call:  git rev-parse HEAD
I0331 10:50:35.735] process 281 exited with code 0 after 0.0m
I0331 10:50:35.735] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 10:50:37.328] process 282 exited with code 0 after 0.0m
I0331 10:50:37.329] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585648189106340'
... skipping 8 lines ...